### Function

# Gimp ParamSpecObject has_default

#### Declaration [src]

    gboolean
    gimp_param_spec_object_has_default (
      GParamSpec* pspec
    )

#### Description [src]

This function tells whether a default was set, typically with `gimp_param_spec_object_set_default()` or any other way. It does not guarantee that the default is an actual object (it may be `NULL` if valid as a default).

#### Parameters

`pspec`

  Type: `GParamSpec`

  A `GObject` `GParamSpec`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether a default value was set.